<?php
/**
 * Custom theme hooks.
 *
 * @since      0.2
 * @author     Satrya <satrya@satrya.me>
 * @copyright  Copyright (c) 2012 - 2014, Satrya
 * @link       http://satrya.me/wordpress-themes/tiga/
 * @license    http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
 */

/**
 * Action hook after #page.
 *
 * @file  header.php
 * @since 0.2
 */
function tiga_before() {
    do_action( 'tiga_before' );
}

/**
 * Action hook inside #masthead
 *
 * @file  header.php
 * @since 0.2
 */
function tiga_header() {
    do_action( 'tiga_header' );
}

/**
 * Action hook before #main
 *
 * @file  header.php
 * @since 0.2
 */
function tiga_main_before() {
    do_action( 'tiga_main_before' );
}

/**
 * Action hook after #main
 *
 * @file  header.php
 * @since 0.2
 */
function tiga_main() {
    do_action( 'tiga_main' );
}

/**
 * Action hook before #content
 *
 * @file index.php, single.php, page.php, 
 *       404.php, archive.php, author.php, image.php, search.php,
 *       template-archives.php, template-fullwidth.php
 * @since 0.2
 */
function tiga_content_before() {
    do_action( 'tiga_content_before' );
}

/**
 * Action hook after #content
 *
 * @file index.php, single.php, page.php, 
 *       404.php, archive.php, author.php, image.php, search.php,
 *       template-archives.php, template-fullwidth.php
 * @since 0.2
 */
function tiga_content() {
    do_action( 'tiga_content' );
}

/**
 * Action hook after end #content
 *
 * @file index.php, single.php, page.php, 
 *       404.php, archive.php, author.php, image.php, search.php,
 *       template-archives.php, template-fullwidth.php
 * @since 0.2
 */
function tiga_content_after() {
    do_action( 'tiga_content_after' );
}

/**
 * Action hook after #secondary
 *
 * @file  sidebar.php
 * @since 0.2
 */
function tiga_sidebar_before() {
    do_action( 'tiga_sidebar_before' );
}

/**
 * Action hook after .site-info
 *
 * @file  footer.php
 * @since 0.2
 */
function tiga_credits() {
    do_action( 'tiga_credits' );
}
?>